
import App
import GlobalPropertyTemplates
# Setting up local templates.
#################################################
Hull = App.HullProperty_Create("Hull")

Hull.SetMaxCondition(11000.000000)
Hull.SetCritical(1)
Hull.SetTargetable(1)
Hull.SetPrimary(1)
Hull.SetPosition(0.000000, 0.000000, 0.000000)
Hull.SetPosition2D(62, 64)
Hull.SetRepairComplexity(1.000000)
Hull.SetDisabledPercentage(0.000000)
Hull.SetRadius(0.800000)
App.g_kModelPropertyManager.RegisterLocalTemplate(Hull)
#################################################
ShieldGenerator = App.ShieldProperty_Create("Shield Generator")

ShieldGenerator.SetMaxCondition(9000.000000)
ShieldGenerator.SetCritical(0)
ShieldGenerator.SetTargetable(1)
ShieldGenerator.SetPrimary(1)
ShieldGenerator.SetPosition(0.000000, 0.000000, 0.050000)
ShieldGenerator.SetPosition2D(112, 3)
ShieldGenerator.SetRepairComplexity(1.000000)
ShieldGenerator.SetDisabledPercentage(0.750000)
ShieldGenerator.SetRadius(0.100000)
ShieldGenerator.SetNormalPowerPerSecond(800.000000)
ShieldGeneratorShieldGlowColor = App.TGColorA()
ShieldGeneratorShieldGlowColor.SetRGBA(0.203922, 0.631373, 1.000000, 0.466667)
ShieldGenerator.SetShieldGlowColor(ShieldGeneratorShieldGlowColor)
ShieldGenerator.SetShieldGlowDecay(1.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.FRONT_SHIELDS, 11000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.REAR_SHIELDS, 11000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.TOP_SHIELDS, 11000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.BOTTOM_SHIELDS, 11000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.LEFT_SHIELDS, 11000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.RIGHT_SHIELDS, 11000.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.FRONT_SHIELDS, 14.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.REAR_SHIELDS, 14.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.TOP_SHIELDS, 14.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.BOTTOM_SHIELDS, 14.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.LEFT_SHIELDS, 14.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.RIGHT_SHIELDS, 14.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShieldGenerator)
#################################################
SensorArray = App.SensorProperty_Create("Sensor Array")

SensorArray.SetMaxCondition(5000.000000)
SensorArray.SetCritical(0)
SensorArray.SetTargetable(1)
SensorArray.SetPrimary(1)
SensorArray.SetPosition(0.000000, 1.380000, -0.070000)
SensorArray.SetPosition2D(126, 0)
SensorArray.SetRepairComplexity(1.000000)
SensorArray.SetDisabledPercentage(0.750000)
SensorArray.SetRadius(0.040000)
SensorArray.SetNormalPowerPerSecond(500.000000)
SensorArray.SetBaseSensorRange(3000.000000)
SensorArray.SetMaxProbes(4)
App.g_kModelPropertyManager.RegisterLocalTemplate(SensorArray)
#################################################
WarpCore = App.PowerProperty_Create("Warp Core")

WarpCore.SetMaxCondition(8000.000000)
WarpCore.SetCritical(1)
WarpCore.SetTargetable(1)
WarpCore.SetPrimary(1)
WarpCore.SetPosition(0.000000, -0.220000, -0.050000)
WarpCore.SetPosition2D(126, 23)
WarpCore.SetRepairComplexity(1.000000)
WarpCore.SetDisabledPercentage(0.750000)
WarpCore.SetRadius(0.050000)
WarpCore.SetMainBatteryLimit(500000.000000)
WarpCore.SetBackupBatteryLimit(250000.000000)
WarpCore.SetMainConduitCapacity(5500.000000)
WarpCore.SetBackupConduitCapacity(500.000000)
WarpCore.SetPowerOutput(5000.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpCore)
#################################################
ImpulseEngines = App.ImpulseEngineProperty_Create("Impulse Engines")

ImpulseEngines.SetMaxCondition(4500.000000)
ImpulseEngines.SetCritical(0)
ImpulseEngines.SetTargetable(0)
ImpulseEngines.SetPrimary(1)
ImpulseEngines.SetPosition(0.000000, 0.500000, -0.020000)
ImpulseEngines.SetPosition2D(120.000000, 120.000000)
ImpulseEngines.SetRepairComplexity(2.000000)
ImpulseEngines.SetDisabledPercentage(0.750000)
ImpulseEngines.SetRadius(0.100000)
ImpulseEngines.SetNormalPowerPerSecond(500.000000)
ImpulseEngines.SetMaxAccel(7.000000)
ImpulseEngines.SetMaxAngularAccel(0.350000)
ImpulseEngines.SetMaxAngularVelocity(0.550000)
ImpulseEngines.SetMaxSpeed(10.500000)
ImpulseEngines.SetEngineSound("Federation Engines")
App.g_kModelPropertyManager.RegisterLocalTemplate(ImpulseEngines)
#################################################
Phasers = App.WeaponSystemProperty_Create("Phasers")

Phasers.SetMaxCondition(3200.000000)
Phasers.SetCritical(0)
Phasers.SetTargetable(0)
Phasers.SetPrimary(1)
Phasers.SetPosition(0.000000, 0.458330, -0.020000)
Phasers.SetPosition2D(46.000000, 64.000000)
Phasers.SetRepairComplexity(1.000000)
Phasers.SetDisabledPercentage(0.750000)
Phasers.SetRadius(0.100000)
Phasers.SetNormalPowerPerSecond(250.000000)
Phasers.SetWeaponSystemType(Phasers.WST_PHASER)
Phasers.SetSingleFire(1)
Phasers.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
Phasers.SetFiringChainString(kFiringChainString)
App.g_kModelPropertyManager.RegisterLocalTemplate(Phasers)
#################################################
WarpEngines = App.WarpEngineProperty_Create("Warp Engines")

WarpEngines.SetMaxCondition(7000.000000)
WarpEngines.SetCritical(0)
WarpEngines.SetTargetable(0)
WarpEngines.SetPrimary(1)
WarpEngines.SetPosition(-0.022410, -0.471232, 0.010000)
WarpEngines.SetPosition2D(46.000000, 60.000000)
WarpEngines.SetRepairComplexity(3.000000)
WarpEngines.SetDisabledPercentage(0.750000)
WarpEngines.SetRadius(0.100000)
WarpEngines.SetNormalPowerPerSecond(10.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEngines)
#################################################
Torpedoes = App.TorpedoSystemProperty_Create("Torpedoes")

Torpedoes.SetMaxCondition(8000.000000)
Torpedoes.SetCritical(0)
Torpedoes.SetTargetable(0)
Torpedoes.SetPrimary(1)
Torpedoes.SetPosition(0.000000, -0.200000, 0.100000)
Torpedoes.SetPosition2D(82.000000, 64.000000)
Torpedoes.SetRepairComplexity(1.000000)
Torpedoes.SetDisabledPercentage(0.750000)
Torpedoes.SetRadius(0.100000)
Torpedoes.SetNormalPowerPerSecond(100.000000)
Torpedoes.SetWeaponSystemType(Torpedoes.WST_TORPEDO)
Torpedoes.SetSingleFire(0)
Torpedoes.SetAimedWeapon(1)
kFiringChainString = App.TGString()
kFiringChainString.SetString("0;Single;12;Dual")
Torpedoes.SetFiringChainString(kFiringChainString)
Torpedoes.SetMaxTorpedoes(0, 150)
Torpedoes.SetTorpedoScript(0, "Tactical.Projectiles.JLSPrommy")
Torpedoes.SetNumAmmoTypes(1)
App.g_kModelPropertyManager.RegisterLocalTemplate(Torpedoes)
#################################################
DorsalForwardTorpedo1 = App.TorpedoTubeProperty_Create("Dorsal Forward Torpedo 1")

DorsalForwardTorpedo1.SetMaxCondition(2000.000000)
DorsalForwardTorpedo1.SetCritical(0)
DorsalForwardTorpedo1.SetTargetable(1)
DorsalForwardTorpedo1.SetPrimary(1)
DorsalForwardTorpedo1.SetPosition(0.101265, 1.318890, -0.063188)
DorsalForwardTorpedo1.SetPosition2D(64, 70)
DorsalForwardTorpedo1.SetRepairComplexity(3.000000)
DorsalForwardTorpedo1.SetDisabledPercentage(0.750000)
DorsalForwardTorpedo1.SetRadius(0.050000)
DorsalForwardTorpedo1.SetDumbfire(1)
DorsalForwardTorpedo1.SetWeaponID(4)
DorsalForwardTorpedo1.SetGroups(2)
DorsalForwardTorpedo1.SetDamageRadiusFactor(0.600000)
DorsalForwardTorpedo1.SetIconNum(370)
DorsalForwardTorpedo1.SetIconPositionX(82)
DorsalForwardTorpedo1.SetIconPositionY(57)
DorsalForwardTorpedo1.SetIconAboveShip(1)
DorsalForwardTorpedo1.SetImmediateDelay(0.250000)
DorsalForwardTorpedo1.SetReloadDelay(30.000000)
DorsalForwardTorpedo1.SetMaxReady(1)
DorsalForwardTorpedo1Direction = App.TGPoint3()
DorsalForwardTorpedo1Direction.SetXYZ(0.000000, 1.000000, 0.000000)
DorsalForwardTorpedo1.SetDirection(DorsalForwardTorpedo1Direction)
DorsalForwardTorpedo1Right = App.TGPoint3()
DorsalForwardTorpedo1Right.SetXYZ(0.707107, 0.000000, 0.707107)
DorsalForwardTorpedo1.SetRight(DorsalForwardTorpedo1Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalForwardTorpedo1)
#################################################
DorsalForwardTorpedo2 = App.TorpedoTubeProperty_Create("Dorsal Forward Torpedo 2")

DorsalForwardTorpedo2.SetMaxCondition(2000.000000)
DorsalForwardTorpedo2.SetCritical(0)
DorsalForwardTorpedo2.SetTargetable(1)
DorsalForwardTorpedo2.SetPrimary(1)
DorsalForwardTorpedo2.SetPosition(-0.104562, 1.318890, -0.064098)
DorsalForwardTorpedo2.SetPosition2D(64, 70)
DorsalForwardTorpedo2.SetRepairComplexity(3.000000)
DorsalForwardTorpedo2.SetDisabledPercentage(0.750000)
DorsalForwardTorpedo2.SetRadius(0.050000)
DorsalForwardTorpedo2.SetDumbfire(1)
DorsalForwardTorpedo2.SetWeaponID(4)
DorsalForwardTorpedo2.SetGroups(2)
DorsalForwardTorpedo2.SetDamageRadiusFactor(0.600000)
DorsalForwardTorpedo2.SetIconNum(370)
DorsalForwardTorpedo2.SetIconPositionX(73)
DorsalForwardTorpedo2.SetIconPositionY(57)
DorsalForwardTorpedo2.SetIconAboveShip(1)
DorsalForwardTorpedo2.SetImmediateDelay(0.250000)
DorsalForwardTorpedo2.SetReloadDelay(30.000000)
DorsalForwardTorpedo2.SetMaxReady(2)
DorsalForwardTorpedo2Direction = App.TGPoint3()
DorsalForwardTorpedo2Direction.SetXYZ(0.000000, 1.000000, 0.000000)
DorsalForwardTorpedo2.SetDirection(DorsalForwardTorpedo2Direction)
DorsalForwardTorpedo2Right = App.TGPoint3()
DorsalForwardTorpedo2Right.SetXYZ(-0.707107, 0.000000, 0.707107)
DorsalForwardTorpedo2.SetRight(DorsalForwardTorpedo2Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalForwardTorpedo2)
#################################################
PortImpulse = App.EngineProperty_Create("Port Impulse")

PortImpulse.SetMaxCondition(4000.000000)
PortImpulse.SetCritical(0)
PortImpulse.SetTargetable(1)
PortImpulse.SetPrimary(1)
PortImpulse.SetPosition(-0.370000, 0.300000, -0.050000)
PortImpulse.SetPosition2D(116, 59)
PortImpulse.SetRepairComplexity(3.000000)
PortImpulse.SetDisabledPercentage(0.500000)
PortImpulse.SetRadius(0.080000)
PortImpulse.SetEngineType(PortImpulse.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(PortImpulse)
#################################################
StarImpulse = App.EngineProperty_Create("Star Impulse")

StarImpulse.SetMaxCondition(4000.000000)
StarImpulse.SetCritical(0)
StarImpulse.SetTargetable(1)
StarImpulse.SetPrimary(1)
StarImpulse.SetPosition(0.370000, 0.300000, -0.050000)
StarImpulse.SetPosition2D(135, 59)
StarImpulse.SetRepairComplexity(3.000000)
StarImpulse.SetDisabledPercentage(0.500000)
StarImpulse.SetRadius(0.080000)
StarImpulse.SetEngineType(StarImpulse.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(StarImpulse)
#################################################
DorsalPortWarp = App.EngineProperty_Create("Dorsal Port Warp")

DorsalPortWarp.SetMaxCondition(5000.000000)
DorsalPortWarp.SetCritical(0)
DorsalPortWarp.SetTargetable(1)
DorsalPortWarp.SetPrimary(1)
DorsalPortWarp.SetPosition(-0.700000, -0.650000, 0.070000)
DorsalPortWarp.SetPosition2D(24, 91)
DorsalPortWarp.SetRepairComplexity(3.000000)
DorsalPortWarp.SetDisabledPercentage(0.750000)
DorsalPortWarp.SetRadius(0.070000)
DorsalPortWarp.SetEngineType(DorsalPortWarp.EP_WARP)
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPortWarp)
#################################################
DorsalStarWarp = App.EngineProperty_Create("Dorsal Star Warp")

DorsalStarWarp.SetMaxCondition(5000.000000)
DorsalStarWarp.SetCritical(0)
DorsalStarWarp.SetTargetable(1)
DorsalStarWarp.SetPrimary(1)
DorsalStarWarp.SetPosition(0.700000, -0.650000, 0.070000)
DorsalStarWarp.SetPosition2D(103, 91)
DorsalStarWarp.SetRepairComplexity(3.000000)
DorsalStarWarp.SetDisabledPercentage(0.750000)
DorsalStarWarp.SetRadius(0.070000)
DorsalStarWarp.SetEngineType(DorsalStarWarp.EP_WARP)
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalStarWarp)
#################################################
Engineering = App.RepairSubsystemProperty_Create("Engineering")

Engineering.SetMaxCondition(5000.000000)
Engineering.SetCritical(0)
Engineering.SetTargetable(0)
Engineering.SetPrimary(1)
Engineering.SetPosition(0.000000, 0.000000, -0.050000)
Engineering.SetPosition2D(64.000000, 40.000000)
Engineering.SetRepairComplexity(4.000000)
Engineering.SetDisabledPercentage(0.100000)
Engineering.SetRadius(0.070000)
Engineering.SetNormalPowerPerSecond(10.000000)
Engineering.SetMaxRepairPoints(30.000000)
Engineering.SetNumRepairTeams(2)
App.g_kModelPropertyManager.RegisterLocalTemplate(Engineering)
#################################################
DorsalDorsalPhaser1Array = App.PhaserProperty_Create("Dorsal Dorsal Phaser 1 Array")

DorsalDorsalPhaser1Array.SetMaxCondition(3000.000000)
DorsalDorsalPhaser1Array.SetCritical(0)
DorsalDorsalPhaser1Array.SetTargetable(1)
DorsalDorsalPhaser1Array.SetPrimary(1)
DorsalDorsalPhaser1Array.SetPosition(-0.456000, 0.799000, -0.048000)
DorsalDorsalPhaser1Array.SetPosition2D(-7, 35)
DorsalDorsalPhaser1Array.SetRepairComplexity(1.000000)
DorsalDorsalPhaser1Array.SetDisabledPercentage(0.750000)
DorsalDorsalPhaser1Array.SetRadius(0.050000)
DorsalDorsalPhaser1Array.SetDumbfire(0)
DorsalDorsalPhaser1Array.SetWeaponID(5)
DorsalDorsalPhaser1Array.SetGroups(0)
DorsalDorsalPhaser1Array.SetDamageRadiusFactor(0.150000)
DorsalDorsalPhaser1Array.SetIconNum(330)
DorsalDorsalPhaser1Array.SetIconPositionX(19)
DorsalDorsalPhaser1Array.SetIconPositionY(35)
DorsalDorsalPhaser1Array.SetIconAboveShip(1)
DorsalDorsalPhaser1Array.SetFireSound("JLSProm Phaser")
DorsalDorsalPhaser1Array.SetMaxCharge(0.800000)
DorsalDorsalPhaser1Array.SetMaxDamage(4000.000000)
DorsalDorsalPhaser1Array.SetMaxDamageDistance(150.000000)
DorsalDorsalPhaser1Array.SetMinFiringCharge(0.800000)
DorsalDorsalPhaser1Array.SetNormalDischargeRate(0.700000)
DorsalDorsalPhaser1Array.SetRechargeRate(2.800000)
DorsalDorsalPhaser1Array.SetIndicatorIconNum(505)
DorsalDorsalPhaser1Array.SetIndicatorIconPositionX(25)
DorsalDorsalPhaser1Array.SetIndicatorIconPositionY(33)
DorsalDorsalPhaser1ArrayForward = App.TGPoint3()
DorsalDorsalPhaser1ArrayForward.SetXYZ(-0.873568, 0.486702, 0.000000)
DorsalDorsalPhaser1ArrayUp = App.TGPoint3()
DorsalDorsalPhaser1ArrayUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalDorsalPhaser1Array.SetOrientation(DorsalDorsalPhaser1ArrayForward, DorsalDorsalPhaser1ArrayUp)
DorsalDorsalPhaser1Array.SetWidth(0.260000)
DorsalDorsalPhaser1Array.SetLength(0.005000)
DorsalDorsalPhaser1Array.SetArcWidthAngles(-0.872665, 0.872665)
DorsalDorsalPhaser1Array.SetArcHeightAngles(-0.174533, 1.745329)
DorsalDorsalPhaser1Array.SetPhaserTextureStart(0)
DorsalDorsalPhaser1Array.SetPhaserTextureEnd(7)
DorsalDorsalPhaser1Array.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.400000, 0.100000, 1.000000)
DorsalDorsalPhaser1Array.SetOuterShellColor(kColor)
kColor.SetRGBA(0.800000, 0.492157, 0.054902, 1.000000)
DorsalDorsalPhaser1Array.SetInnerShellColor(kColor)
kColor.SetRGBA(0.992157, 0.692157, 0.454902, 1.000000)
DorsalDorsalPhaser1Array.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.903922, 0.603922, 0.400000, 1.000000)
DorsalDorsalPhaser1Array.SetInnerCoreColor(kColor)
DorsalDorsalPhaser1Array.SetNumSides(6)
DorsalDorsalPhaser1Array.SetMainRadius(0.050000)
DorsalDorsalPhaser1Array.SetTaperRadius(0.010000)
DorsalDorsalPhaser1Array.SetCoreScale(0.500000)
DorsalDorsalPhaser1Array.SetTaperRatio(0.125000)
DorsalDorsalPhaser1Array.SetTaperMinLength(5.000000)
DorsalDorsalPhaser1Array.SetTaperMaxLength(5.000000)
DorsalDorsalPhaser1Array.SetLengthTextureTilePerUnit(0.500000)
DorsalDorsalPhaser1Array.SetPerimeterTile(1.000000)
DorsalDorsalPhaser1Array.SetTextureSpeed(2.500000)
DorsalDorsalPhaser1Array.SetTextureName("data/JLSphaser1.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalDorsalPhaser1Array)
#################################################
DorsalDorsalPhaser2Array = App.PhaserProperty_Create("Dorsal Dorsal Phaser 2 Array")

DorsalDorsalPhaser2Array.SetMaxCondition(3000.000000)
DorsalDorsalPhaser2Array.SetCritical(0)
DorsalDorsalPhaser2Array.SetTargetable(1)
DorsalDorsalPhaser2Array.SetPrimary(1)
DorsalDorsalPhaser2Array.SetPosition(0.448149, 0.803741, -0.049000)
DorsalDorsalPhaser2Array.SetPosition2D(3, 35)
DorsalDorsalPhaser2Array.SetRepairComplexity(1.000000)
DorsalDorsalPhaser2Array.SetDisabledPercentage(0.750000)
DorsalDorsalPhaser2Array.SetRadius(0.050000)
DorsalDorsalPhaser2Array.SetDumbfire(0)
DorsalDorsalPhaser2Array.SetWeaponID(7)
DorsalDorsalPhaser2Array.SetGroups(0)
DorsalDorsalPhaser2Array.SetDamageRadiusFactor(0.150000)
DorsalDorsalPhaser2Array.SetIconNum(350)
DorsalDorsalPhaser2Array.SetIconPositionX(85)
DorsalDorsalPhaser2Array.SetIconPositionY(35)
DorsalDorsalPhaser2Array.SetIconAboveShip(1)
DorsalDorsalPhaser2Array.SetFireSound("JLSProm Phaser")
DorsalDorsalPhaser2Array.SetMaxCharge(0.800000)
DorsalDorsalPhaser2Array.SetMaxDamage(4000.000000)
DorsalDorsalPhaser2Array.SetMaxDamageDistance(150.000000)
DorsalDorsalPhaser2Array.SetMinFiringCharge(0.800000)
DorsalDorsalPhaser2Array.SetNormalDischargeRate(0.700000)
DorsalDorsalPhaser2Array.SetRechargeRate(2.800000)
DorsalDorsalPhaser2Array.SetIndicatorIconNum(506)
DorsalDorsalPhaser2Array.SetIndicatorIconPositionX(91)
DorsalDorsalPhaser2Array.SetIndicatorIconPositionY(33)
DorsalDorsalPhaser2ArrayForward = App.TGPoint3()
DorsalDorsalPhaser2ArrayForward.SetXYZ(0.873568, 0.486702, 0.000000)
DorsalDorsalPhaser2ArrayUp = App.TGPoint3()
DorsalDorsalPhaser2ArrayUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalDorsalPhaser2Array.SetOrientation(DorsalDorsalPhaser2ArrayForward, DorsalDorsalPhaser2ArrayUp)
DorsalDorsalPhaser2Array.SetWidth(0.260000)
DorsalDorsalPhaser2Array.SetLength(0.005000)
DorsalDorsalPhaser2Array.SetArcWidthAngles(-0.872665, 0.872665)
DorsalDorsalPhaser2Array.SetArcHeightAngles(-0.174533, 1.745329)
DorsalDorsalPhaser2Array.SetPhaserTextureStart(0)
DorsalDorsalPhaser2Array.SetPhaserTextureEnd(7)
DorsalDorsalPhaser2Array.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.400000, 0.100000, 1.000000)
DorsalDorsalPhaser2Array.SetOuterShellColor(kColor)
kColor.SetRGBA(0.800000, 0.492157, 0.054902, 1.000000)
DorsalDorsalPhaser2Array.SetInnerShellColor(kColor)
kColor.SetRGBA(0.992157, 0.692157, 0.454902, 1.000000)
DorsalDorsalPhaser2Array.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.903922, 0.603922, 0.400000, 1.000000)
DorsalDorsalPhaser2Array.SetInnerCoreColor(kColor)
DorsalDorsalPhaser2Array.SetNumSides(6)
DorsalDorsalPhaser2Array.SetMainRadius(0.050000)
DorsalDorsalPhaser2Array.SetTaperRadius(0.010000)
DorsalDorsalPhaser2Array.SetCoreScale(0.500000)
DorsalDorsalPhaser2Array.SetTaperRatio(0.125000)
DorsalDorsalPhaser2Array.SetTaperMinLength(5.000000)
DorsalDorsalPhaser2Array.SetTaperMaxLength(5.000000)
DorsalDorsalPhaser2Array.SetLengthTextureTilePerUnit(0.500000)
DorsalDorsalPhaser2Array.SetPerimeterTile(1.000000)
DorsalDorsalPhaser2Array.SetTextureSpeed(2.500000)
DorsalDorsalPhaser2Array.SetTextureName("data/JLSphaser1.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalDorsalPhaser2Array)
#################################################
Tractors = App.WeaponSystemProperty_Create("Tractors")

Tractors.SetMaxCondition(2500.000000)
Tractors.SetCritical(0)
Tractors.SetTargetable(0)
Tractors.SetPrimary(1)
Tractors.SetPosition(0.000000, -0.500000, 0.020000)
Tractors.SetPosition2D(120.000000, 120.000000)
Tractors.SetRepairComplexity(5.000000)
Tractors.SetDisabledPercentage(0.750000)
Tractors.SetRadius(0.100000)
Tractors.SetNormalPowerPerSecond(300.000000)
Tractors.SetWeaponSystemType(Tractors.WST_TRACTOR)
Tractors.SetSingleFire(0)
Tractors.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
Tractors.SetFiringChainString(kFiringChainString)
App.g_kModelPropertyManager.RegisterLocalTemplate(Tractors)
#################################################
Prometheus = App.ShipProperty_Create("Prometheus")

Prometheus.SetGenus(1)
Prometheus.SetSpecies(121)
Prometheus.SetMass(95.000000)
Prometheus.SetRotationalInertia(47500.000000)
Prometheus.SetShipName("Prometheus")
Prometheus.SetModelFilename("data/Models/Ships/MvamPrometheus/UpperMid.NIF")
Prometheus.SetDamageResolution(6.000000)
Prometheus.SetAffiliation(1000010)
Prometheus.SetStationary(0)
Prometheus.SetAIString("FedAttack")
Prometheus.SetDeathExplosionSound("g_lsDeathExplosions")
App.g_kModelPropertyManager.RegisterLocalTemplate(Prometheus)
#################################################
ViewscreenForward = App.PositionOrientationProperty_Create("ViewscreenForward")

ViewscreenForwardForward = App.TGPoint3()
ViewscreenForwardForward.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenForwardUp = App.TGPoint3()
ViewscreenForwardUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenForwardRight = App.TGPoint3()
ViewscreenForwardRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenForward.SetOrientation(ViewscreenForwardForward, ViewscreenForwardUp, ViewscreenForwardRight)
ViewscreenForwardPosition = App.TGPoint3()
ViewscreenForwardPosition.SetXYZ(0.000000, 1.556830, -0.119663)
ViewscreenForward.SetPosition(ViewscreenForwardPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenForward)
#################################################
ViewscreenBack = App.PositionOrientationProperty_Create("ViewscreenBack")

ViewscreenBackForward = App.TGPoint3()
ViewscreenBackForward.SetXYZ(0.000000, -1.000000, 0.000000)
ViewscreenBackUp = App.TGPoint3()
ViewscreenBackUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenBackRight = App.TGPoint3()
ViewscreenBackRight.SetXYZ(-1.000000, 0.000000, 0.000000)
ViewscreenBack.SetOrientation(ViewscreenBackForward, ViewscreenBackUp, ViewscreenBackRight)
ViewscreenBackPosition = App.TGPoint3()
ViewscreenBackPosition.SetXYZ(0.000000, -1.372250, -0.122812)
ViewscreenBack.SetPosition(ViewscreenBackPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenBack)
#################################################
ViewscreenLeft = App.PositionOrientationProperty_Create("ViewscreenLeft")

ViewscreenLeftForward = App.TGPoint3()
ViewscreenLeftForward.SetXYZ(-1.000000, 0.000000, 0.000000)
ViewscreenLeftUp = App.TGPoint3()
ViewscreenLeftUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenLeftRight = App.TGPoint3()
ViewscreenLeftRight.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenLeft.SetOrientation(ViewscreenLeftForward, ViewscreenLeftUp, ViewscreenLeftRight)
ViewscreenLeftPosition = App.TGPoint3()
ViewscreenLeftPosition.SetXYZ(-0.622365, 0.609990, -0.104548)
ViewscreenLeft.SetPosition(ViewscreenLeftPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenLeft)
#################################################
ViewscreenRight = App.PositionOrientationProperty_Create("ViewscreenRight")

ViewscreenRightForward = App.TGPoint3()
ViewscreenRightForward.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenRightUp = App.TGPoint3()
ViewscreenRightUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenRightRight = App.TGPoint3()
ViewscreenRightRight.SetXYZ(0.000000, -1.000000, 0.000000)
ViewscreenRight.SetOrientation(ViewscreenRightForward, ViewscreenRightUp, ViewscreenRightRight)
ViewscreenRightPosition = App.TGPoint3()
ViewscreenRightPosition.SetXYZ(0.622365, 0.609990, -0.104548)
ViewscreenRight.SetPosition(ViewscreenRightPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenRight)
#################################################
ViewscreenUp = App.PositionOrientationProperty_Create("ViewscreenUp")

ViewscreenUpForward = App.TGPoint3()
ViewscreenUpForward.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenUpUp = App.TGPoint3()
ViewscreenUpUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenUpRight = App.TGPoint3()
ViewscreenUpRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenUp.SetOrientation(ViewscreenUpForward, ViewscreenUpUp, ViewscreenUpRight)
ViewscreenUpPosition = App.TGPoint3()
ViewscreenUpPosition.SetXYZ(0.000000, 0.876468, 0.072962)
ViewscreenUp.SetPosition(ViewscreenUpPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenUp)
#################################################
ViewscreenDown = App.PositionOrientationProperty_Create("ViewscreenDown")

ViewscreenDownForward = App.TGPoint3()
ViewscreenDownForward.SetXYZ(0.000000, 0.000000, -1.000000)
ViewscreenDownUp = App.TGPoint3()
ViewscreenDownUp.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenDownRight = App.TGPoint3()
ViewscreenDownRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenDown.SetOrientation(ViewscreenDownForward, ViewscreenDownUp, ViewscreenDownRight)
ViewscreenDownPosition = App.TGPoint3()
ViewscreenDownPosition.SetXYZ(0.000000, 1.117890, -0.119699)
ViewscreenDown.SetPosition(ViewscreenDownPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenDown)
#################################################
FirstPersonCamera = App.PositionOrientationProperty_Create("FirstPersonCamera")

FirstPersonCameraForward = App.TGPoint3()
FirstPersonCameraForward.SetXYZ(0.000000, 1.000000, 0.000000)
FirstPersonCameraUp = App.TGPoint3()
FirstPersonCameraUp.SetXYZ(0.000000, 0.000000, 1.000000)
FirstPersonCameraRight = App.TGPoint3()
FirstPersonCameraRight.SetXYZ(1.000000, 0.000000, 0.000000)
FirstPersonCamera.SetOrientation(FirstPersonCameraForward, FirstPersonCameraUp, FirstPersonCameraRight)
FirstPersonCameraPosition = App.TGPoint3()
FirstPersonCameraPosition.SetXYZ(0.000000, 1.556180, -0.122985)
FirstPersonCamera.SetPosition(FirstPersonCameraPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(FirstPersonCamera)
#################################################
DorsalVentralPhaser1 = App.PhaserProperty_Create("Dorsal Ventral Phaser 1")

DorsalVentralPhaser1.SetMaxCondition(1000.000000)
DorsalVentralPhaser1.SetCritical(0)
DorsalVentralPhaser1.SetTargetable(1)
DorsalVentralPhaser1.SetPrimary(1)
DorsalVentralPhaser1.SetPosition(0.278000, 1.100000, -0.144297)
DorsalVentralPhaser1.SetPosition2D(-7, 50)
DorsalVentralPhaser1.SetRepairComplexity(1.000000)
DorsalVentralPhaser1.SetDisabledPercentage(0.750000)
DorsalVentralPhaser1.SetRadius(0.050000)
DorsalVentralPhaser1.SetDumbfire(0)
DorsalVentralPhaser1.SetWeaponID(7)
DorsalVentralPhaser1.SetGroups(0)
DorsalVentralPhaser1.SetDamageRadiusFactor(0.150000)
DorsalVentralPhaser1.SetIconNum(362)
DorsalVentralPhaser1.SetIconPositionX(101)
DorsalVentralPhaser1.SetIconPositionY(65)
DorsalVentralPhaser1.SetIconAboveShip(0)
DorsalVentralPhaser1.SetFireSound("JLSProm Phaser")
DorsalVentralPhaser1.SetMaxCharge(0.800000)
DorsalVentralPhaser1.SetMaxDamage(4000.000000)
DorsalVentralPhaser1.SetMaxDamageDistance(150.000000)
DorsalVentralPhaser1.SetMinFiringCharge(0.800000)
DorsalVentralPhaser1.SetNormalDischargeRate(0.700000)
DorsalVentralPhaser1.SetRechargeRate(2.800000)
DorsalVentralPhaser1.SetIndicatorIconNum(509)
DorsalVentralPhaser1.SetIndicatorIconPositionX(101)
DorsalVentralPhaser1.SetIndicatorIconPositionY(65)
DorsalVentralPhaser1Forward = App.TGPoint3()
DorsalVentralPhaser1Forward.SetXYZ(0.000000, 0.000000, -1.000000)
DorsalVentralPhaser1Up = App.TGPoint3()
DorsalVentralPhaser1Up.SetXYZ(-0.868243, -0.496139, 0.000000)
DorsalVentralPhaser1.SetOrientation(DorsalVentralPhaser1Forward, DorsalVentralPhaser1Up)
DorsalVentralPhaser1.SetWidth(0.060000)
DorsalVentralPhaser1.SetLength(0.005000)
DorsalVentralPhaser1.SetArcWidthAngles(1.570796, -0.785398)
DorsalVentralPhaser1.SetArcHeightAngles(-1.570796, 0.436332)
DorsalVentralPhaser1.SetPhaserTextureStart(0)
DorsalVentralPhaser1.SetPhaserTextureEnd(7)
DorsalVentralPhaser1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.400000, 0.100000, 1.000000)
DorsalVentralPhaser1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.800000, 0.492157, 0.054902, 1.000000)
DorsalVentralPhaser1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.992157, 0.692157, 0.454902, 1.000000)
DorsalVentralPhaser1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.903922, 0.603922, 0.400000, 1.000000)
DorsalVentralPhaser1.SetInnerCoreColor(kColor)
DorsalVentralPhaser1.SetNumSides(6)
DorsalVentralPhaser1.SetMainRadius(0.050000)
DorsalVentralPhaser1.SetTaperRadius(0.010000)
DorsalVentralPhaser1.SetCoreScale(0.500000)
DorsalVentralPhaser1.SetTaperRatio(0.125000)
DorsalVentralPhaser1.SetTaperMinLength(5.000000)
DorsalVentralPhaser1.SetTaperMaxLength(5.000000)
DorsalVentralPhaser1.SetLengthTextureTilePerUnit(0.500000)
DorsalVentralPhaser1.SetPerimeterTile(1.000000)
DorsalVentralPhaser1.SetTextureSpeed(2.500000)
DorsalVentralPhaser1.SetTextureName("data/JLSphaser1.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalVentralPhaser1)
#################################################
DorsalVentralPhaser2 = App.PhaserProperty_Create("Dorsal Ventral Phaser 2")

DorsalVentralPhaser2.SetMaxCondition(1000.000000)
DorsalVentralPhaser2.SetCritical(0)
DorsalVentralPhaser2.SetTargetable(1)
DorsalVentralPhaser2.SetPrimary(1)
DorsalVentralPhaser2.SetPosition(-0.283000, 1.100000, -0.144297)
DorsalVentralPhaser2.SetPosition2D(3, 50)
DorsalVentralPhaser2.SetRepairComplexity(1.000000)
DorsalVentralPhaser2.SetDisabledPercentage(0.750000)
DorsalVentralPhaser2.SetRadius(0.050000)
DorsalVentralPhaser2.SetDumbfire(0)
DorsalVentralPhaser2.SetWeaponID(7)
DorsalVentralPhaser2.SetGroups(0)
DorsalVentralPhaser2.SetDamageRadiusFactor(0.150000)
DorsalVentralPhaser2.SetIconNum(361)
DorsalVentralPhaser2.SetIconPositionX(41)
DorsalVentralPhaser2.SetIconPositionY(65)
DorsalVentralPhaser2.SetIconAboveShip(0)
DorsalVentralPhaser2.SetFireSound("JLSProm Phaser")
DorsalVentralPhaser2.SetMaxCharge(0.800000)
DorsalVentralPhaser2.SetMaxDamage(4000.000000)
DorsalVentralPhaser2.SetMaxDamageDistance(150.000000)
DorsalVentralPhaser2.SetMinFiringCharge(0.800000)
DorsalVentralPhaser2.SetNormalDischargeRate(0.700000)
DorsalVentralPhaser2.SetRechargeRate(2.800000)
DorsalVentralPhaser2.SetIndicatorIconNum(508)
DorsalVentralPhaser2.SetIndicatorIconPositionX(41)
DorsalVentralPhaser2.SetIndicatorIconPositionY(65)
DorsalVentralPhaser2Forward = App.TGPoint3()
DorsalVentralPhaser2Forward.SetXYZ(0.000000, 0.000000, -1.000000)
DorsalVentralPhaser2Up = App.TGPoint3()
DorsalVentralPhaser2Up.SetXYZ(0.868243, -0.496139, 0.000000)
DorsalVentralPhaser2.SetOrientation(DorsalVentralPhaser2Forward, DorsalVentralPhaser2Up)
DorsalVentralPhaser2.SetWidth(0.060000)
DorsalVentralPhaser2.SetLength(0.005000)
DorsalVentralPhaser2.SetArcWidthAngles(0.785398, -1.570796)
DorsalVentralPhaser2.SetArcHeightAngles(-1.570796, 0.436332)
DorsalVentralPhaser2.SetPhaserTextureStart(0)
DorsalVentralPhaser2.SetPhaserTextureEnd(7)
DorsalVentralPhaser2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.400000, 0.100000, 1.000000)
DorsalVentralPhaser2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.800000, 0.492157, 0.054902, 1.000000)
DorsalVentralPhaser2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.992157, 0.692157, 0.454902, 1.000000)
DorsalVentralPhaser2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.903922, 0.603922, 0.400000, 1.000000)
DorsalVentralPhaser2.SetInnerCoreColor(kColor)
DorsalVentralPhaser2.SetNumSides(6)
DorsalVentralPhaser2.SetMainRadius(0.050000)
DorsalVentralPhaser2.SetTaperRadius(0.010000)
DorsalVentralPhaser2.SetCoreScale(0.500000)
DorsalVentralPhaser2.SetTaperRatio(0.125000)
DorsalVentralPhaser2.SetTaperMinLength(5.000000)
DorsalVentralPhaser2.SetTaperMaxLength(5.000000)
DorsalVentralPhaser2.SetLengthTextureTilePerUnit(0.500000)
DorsalVentralPhaser2.SetPerimeterTile(1.000000)
DorsalVentralPhaser2.SetTextureSpeed(2.500000)
DorsalVentralPhaser2.SetTextureName("data/JLSphaser1.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalVentralPhaser2)
#################################################
ShuttleBayOEP = App.ObjectEmitterProperty_Create("Shuttle Bay OEP")

ShuttleBayOEPForward = App.TGPoint3()
ShuttleBayOEPForward.SetXYZ(0.000000, -1.000000, 0.000000)
ShuttleBayOEPUp = App.TGPoint3()
ShuttleBayOEPUp.SetXYZ(0.000000, 0.000000, 1.000000)
ShuttleBayOEPRight = App.TGPoint3()
ShuttleBayOEPRight.SetXYZ(1.000000, 0.000000, 0.000000)
ShuttleBayOEP.SetOrientation(ShuttleBayOEPForward, ShuttleBayOEPUp, ShuttleBayOEPRight)
ShuttleBayOEPPosition = App.TGPoint3()
ShuttleBayOEPPosition.SetXYZ(0.000000, -1.100000, -0.038452)
ShuttleBayOEP.SetPosition(ShuttleBayOEPPosition)
ShuttleBayOEP.SetEmittedObjectType(ShuttleBayOEP.OEP_SHUTTLE)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShuttleBayOEP)
#################################################
ShuttleBay = App.HullProperty_Create("Shuttle Bay")

ShuttleBay.SetMaxCondition(2000.000000)
ShuttleBay.SetCritical(0)
ShuttleBay.SetTargetable(1)
ShuttleBay.SetPrimary(0)
ShuttleBay.SetPosition(0.000000, -0.900000, 0.000000)
ShuttleBay.SetPosition2D(61, 96)
ShuttleBay.SetRepairComplexity(3.000000)
ShuttleBay.SetDisabledPercentage(0.750000)
ShuttleBay.SetRadius(0.080000)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShuttleBay)
#################################################
DorsalBridge = App.HullProperty_Create("Dorsal Bridge")

DorsalBridge.SetMaxCondition(8000.000000)
DorsalBridge.SetCritical(1)
DorsalBridge.SetTargetable(1)
DorsalBridge.SetPrimary(0)
DorsalBridge.SetPosition(0.000000, 0.880000, 0.050000)
DorsalBridge.SetPosition2D(58, 35)
DorsalBridge.SetRepairComplexity(1.000000)
DorsalBridge.SetDisabledPercentage(0.750000)
DorsalBridge.SetRadius(0.050000)
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalBridge)

 

# Property load function.
def LoadPropertySet(pObj):
	"Sets up the object's properties."
	prop = App.g_kModelPropertyManager.FindByName("Hull", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shield Generator", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Sensor Array", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Impulse Engines", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Phasers", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Warp Engines", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Torpedoes", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Forward Torpedo 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Forward Torpedo 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Port Impulse", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Star Impulse", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Port Warp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Star Warp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Engineering", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Dorsal Phaser 1 Array", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Dorsal Phaser 2 Array", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Tractors", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Prometheus", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenForward", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenBack", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenLeft", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenRight", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenUp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenDown", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("FirstPersonCamera", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Ventral Phaser 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Ventral Phaser 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shuttle Bay OEP", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shuttle Bay", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Bridge", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Warp Core", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
